<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="CompilerConfiguration">
    <annotationProcessing>
      <profile name="Maven default annotation processors profile" enabled="true">
        <sourceOutputDir name="target/generated-sources/annotations" />
        <sourceTestOutputDir name="target/generated-test-sources/test-annotations" />
        <outputRelativeToContentRoot value="true" />
        <module name="demo-platform-service-rpc" />
        <module name="demo-platform-service-web" />
        <module name="demo-platform-service-app" />
        <module name="demo-platform-service-base" />
        <module name="demo-platform-service-batch" />
        <module name="demo-platform-service-common" />
        <module name="consumer" />
        <module name="demo-platform-service-api" />
      </profile>
    </annotationProcessing>
    <bytecodeTargetLevel>
      <module name="common" target="1.7" />
      <module name="common (1)" target="1.7" />
      <module name="common (2)" target="1.7" />
      <module name="demo-platform-service-base (1)" target="1.8" />
      <module name="demo-platform-service-base (2)" target="1.8" />
      <module name="demo-service-common" target="1.5" />
      <module name="demo-service-parent" target="1.5" />
    </bytecodeTargetLevel>
  </component>
  <component name="JavacSettings">
    <option name="ADDITIONAL_OPTIONS_OVERRIDE">
      <module name="consumer" options="-parameters" />
      <module name="demo-platform-service-api" options="-parameters" />
      <module name="demo-platform-service-app" options="-parameters" />
      <module name="demo-platform-service-base" options="-parameters" />
      <module name="demo-platform-service-batch" options="-parameters" />
      <module name="demo-platform-service-common" options="-parameters" />
      <module name="demo-platform-service-parent" options="-parameters" />
      <module name="demo-platform-service-rpc" options="-parameters" />
      <module name="demo-platform-service-web" options="-parameters" />
    </option>
  </component>
</project>